Subject: RE: [EXT] Re: bug#53516: Buffer display issue with unicode characters on WSL2

From: "Green, Marc E." <[email-masked]>
Date: Sun, 30 Jan 2022 02:02:23 +0000

It does not happen when I use emacs 29 with the `-Q` option. So, now I have some leads to look into - thanks!

And if it's worth anything, the issue persists at least through emacs 27.2.

-----Original Message-----
From: Po Lu [mailto:[email-masked]] 
Sent: Tuesday, January 25, 2022 1:43 AM
To: Green, Marc E. <[email-masked]>
Cc: [email-masked]
Subject: [EXT] Re: bug#53516: Buffer display issue with unicode characters on WSL2

"Green, Marc E." <[email-masked]> writes:

> I have a file with a single Unicode character in it: 🕯 (Unicode 
> character CANDLE, codepoint 128367, #o372557, #x1f56f).

> When I open this file via `emacs -Q` (with or without `-nw`) and hit 
> `C-l`, the buffer display has issues. Namely, the character becomes 
> invisible on that line, and instead somehow appears in the menu bar 
> line (the top 'File,Edit,etc' menu bar line disappears). It's like the 
> whole display gets shifted up 1 line. If I move the cursor left, I can 
> see the original character, which is now being displayed 2 times in 
> the buffer despite existing in the file only once.

> In practice, this makes it very difficult to edit files that have 
> unicode characters in them. For files that have many lines in them, 
> this issue results in lines being visually duplicated. Selecting them 
> via C-SPACE does fix the display issue, until I start navigating 
> around the file again, which triggers the issue.

Does this still happen with Emacs 28 or 29?  The version of Emacs you're using is very old, and uses Xft, which is known to have display issues with glyphs that might be provided by color fonts.

Thanks.